Skip to main content
GET
/
polymarket
/
activity
Get Activity
curl --request GET \
  --url https://api.domeapi.io/v1/polymarket/activity
{
  "activities": [
    {
      "token_id": "",
      "side": "REDEEM",
      "market_slug": "will-the-doj-charge-boeing",
      "condition_id": "0x92e4b1b8e0621fab0537486e7d527322569d7a8fd394b3098ff4bb1d6e1c0bbd",
      "shares": 187722726,
      "shares_normalized": 187.722726,
      "price": 1,
      "block_number": 123456789,
      "log_index": 42,
      "tx_hash": "0x028baff23a90c10728606781d15077098ee93c991ea204aa52a0bd2869187574",
      "title": "Will the DOJ charge Boeing?",
      "timestamp": 1721263049,
      "order_hash": "",
      "user": "0xfd9c3e7f8c56eb4186372f343c873cce154b3873"
    }
  ],
  "pagination": {
    "limit": 50,
    "count": 1250,
    "has_more": true,
    "pagination_key": "eyJibG9ja190aW1lc3RhbXAiOiIyMDI1LTAxLTE5VDEyOjAwOjAwLjAwMFoiLCJzaWRlIjoiU1BMSVQiLCJ0eF9oYXNoIjoiMHgxMjM0NTY3ODkwYWJjZGVmIiwibG9nX2luZGV4IjoxMCwidG90YWwiOjE5ODkwMTc3Nn0="
  }
}

Documentation Index

Fetch the complete documentation index at: https://docs.domeapi.io/llms.txt

Use this file to discover all available pages before exploring further.

Query Parameters

user
string

User wallet address to fetch activity for. If not provided, returns activity for all users.

Pattern: ^0x[0-9a-fA-F]{40}$
Example:

"0x7c3db723f1d4d8cb9c550095203b686cb11e5c6b"

start_time
integer

Filter activity from this Unix timestamp in seconds (inclusive)

Example:

1640995200

end_time
integer

Filter activity until this Unix timestamp in seconds (inclusive)

Example:

1672531200

market_slug
string

Filter activity by market slug

Example:

"bitcoin-up-or-down-july-25-8pm-et"

condition_id
string

Filter activity by condition ID

Example:

"0x4567b275e6b667a6217f5cb4f06a797d3a1eaf1d0281fb5bc8c75e2046ae7e57"

limit
integer
default:100

Number of activities to return (1-1000)

Required range: 1 <= x <= 1000
Example:

50

pagination_key
string

Base64-encoded cursor for efficient pagination. Returned in the previous response's pagination object.

Example:

"eyJibG9ja190aW1lc3RhbXAiOiIyMDI1LTAxLTE5VDEyOjAwOjAwLjAwMFoiLCJzaWRlIjoiU1BMSVQiLCJ0eF9oYXNoIjoiMHgxMjM0NTY3ODkwYWJjZGVmIiwibG9nX2luZGV4IjoxMCwidG90YWwiOjE5ODkwMTc3Nn0="

Response

Activity response with pagination

activities
object[]
pagination
object